Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class HibernateEpr

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.HibernateEpr

    public class HibernateEpr

extends EPR

This class is a helper class for using Hibernate EPRs.

Author:
  tcunning@redhat.com

Field Summary
`static java.lang.String` | `CLASS_NAME_TAG`
`static java.lang.String` | `DATA_FIELD_TAG`
`static java.lang.String` | `DEFAULT_REPLY_TO_CLASS_SUFFIX`
`static java.lang.String` | `DELETE_LISTENER`
`static java.lang.String` | `ERROR_DEL_TAG`
`static java.lang.String` | `EVENT_TAG`
`static java.lang.String` | `HIBERNATE_CFG_TAG`
`static java.lang.String` | `LOAD_LISTENER`
`static java.lang.String` | `MESSAGE_FIELD_TAG`
`static java.lang.String` | `POST_DEL_TAG`
`static java.lang.String` | `SAVE_LISTENER`
`static java.lang.String` | `STATUS_FIELD_TAG`
`static java.lang.String` | `TIMESTAMP_FIELD_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`HibernateEpr(EPR epr)`
`HibernateEpr(EPR epr, org.w3c.dom.Element header)`

Method Summary
`protected void` | `changeClassName(java.lang.String className)`
`EPR` | `copy()` Return a copy of this EPR.
`PortReference` | `getAddr()` Get the EPR address.
`java.lang.String` | `getClassName()`
`java.lang.String` | `getDataField()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getHibernateCfgFile()`
`java.lang.String` | `getMessageField()`
`java.lang.String` | `getStatusField()`
`java.lang.String` | `getTimestampColumn()`
`boolean` | `isDeleteListener()`
`boolean` | `isLoadListener()`
`boolean` | `isSaveListener()`
`void` | `setAddr(PortReference uri)` Override the address of this EPR.
`void` | `setClassName(java.lang.String className)` Set the tablename that is used by this EPR.
`void` | `setDataField(java.lang.String dataField)` Set the field that is used by this EPR to store message data.
`void` | `setDeleteListener(boolean deleteListener)`
`void` | `setEvent(java.lang.String eventName)` Set the event that is used by this EPR.
`void` | `setHibernateCfgFile(java.lang.String cfgFile)` Set the tablename that is used by this EPR.
`void` | `setLoadListener(boolean loadListener)`
`void` | `setMessageField(java.lang.String messageFieldName)`
`void` | `setSaveListener(boolean saveListener)`
`void` | `setStatusField(java.lang.String statusField)` Set the status column that is used by this EPR.
`void` | `setTimestampField(java.lang.String timeField)` Set the column that is used by this EPR to store timestamp when the message was inserted.
`java.lang.String` | `toString()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getURI, setURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOAD_LISTENER

    public static final java.lang.String LOAD_LISTENER

See Also:
  Constant Field Values

### SAVE_LISTENER

    public static final java.lang.String SAVE_LISTENER

See Also:
  Constant Field Values

### DELETE_LISTENER

    public static final java.lang.String DELETE_LISTENER

See Also:
  Constant Field Values

### CLASS_NAME_TAG

    public static final java.lang.String CLASS_NAME_TAG

See Also:
  Constant Field Values

### EVENT_TAG

    public static final java.lang.String EVENT_TAG

See Also:
  Constant Field Values

### HIBERNATE_CFG_TAG

    public static final java.lang.String HIBERNATE_CFG_TAG

See Also:
  Constant Field Values

### MESSAGE_FIELD_TAG

    public static final java.lang.String MESSAGE_FIELD_TAG

See Also:
  Constant Field Values

### STATUS_FIELD_TAG

    public static final java.lang.String STATUS_FIELD_TAG

See Also:
  Constant Field Values

### DATA_FIELD_TAG

    public static final java.lang.String DATA_FIELD_TAG

See Also:
  Constant Field Values

### TIMESTAMP_FIELD_TAG

    public static final java.lang.String TIMESTAMP_FIELD_TAG

See Also:
  Constant Field Values

### POST_DEL_TAG

    public static final java.lang.String POST_DEL_TAG

See Also:
  Constant Field Values

### ERROR_DEL_TAG

    public static final java.lang.String ERROR_DEL_TAG

See Also:
  Constant Field Values

### DEFAULT_REPLY_TO_CLASS_SUFFIX

    public static final java.lang.String DEFAULT_REPLY_TO_CLASS_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### HibernateEpr

    public HibernateEpr(EPR epr)

### HibernateEpr

    public HibernateEpr(EPR epr,
                        org.w3c.dom.Element header)

Method Detail

### getAddr

    public PortReference getAddr()

  Description copied from class: `EPR`
  Get the EPR address.

  Overrides:
    `getAddr` in class `EPR`
  Returns:
    the address.

### setAddr

    public void setAddr(PortReference uri)

  Description copied from class: `EPR`
  Override the address of this EPR.

  Overrides:
    `setAddr` in class `EPR`
  Parameters:
    `uri` - the new address.

### getHibernateCfgFile

    public final java.lang.String getHibernateCfgFile()

  Returns:
    the driver used by this EPR.

### setHibernateCfgFile

    public final void setHibernateCfgFile(java.lang.String cfgFile)
                                   throws java.net.URISyntaxException

  Set the tablename that is used by this EPR.

  Parameters:
    `cfgFile` - the table name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### setClassName

    public final void setClassName(java.lang.String className)
                            throws java.net.URISyntaxException

  Set the tablename that is used by this EPR.

  Parameters:
    `className` - the table name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getClassName

    public final java.lang.String getClassName()

  Returns:
    the table name used by this EPR.

### setEvent

    public final void setEvent(java.lang.String eventName)
                        throws java.net.URISyntaxException

  Set the event that is used by this EPR.

  Parameters:
    `eventName` - the table name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getEvent

    public final java.lang.String getEvent()

  Returns:
    the table name used by this EPR.

### setStatusField

    public final void setStatusField(java.lang.String statusField)
                              throws java.net.URISyntaxException

  Set the status column that is used by this EPR.

  Parameters:
    `statusField` - the status field.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getStatusField

    public final java.lang.String getStatusField()

  Returns:
    the status column name used by this EPR.

### setMessageField

    public final void setMessageField(java.lang.String messageFieldName)
                               throws java.net.URISyntaxException

  Parameters:
    `messageFieldName` -
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getMessageField

    public final java.lang.String getMessageField()

  Returns:
    the message id column used by this EPR.

### setTimestampField

    public final void setTimestampField(java.lang.String timeField)
                                 throws java.net.URISyntaxException

  Set the column that is used by this EPR to store timestamp when the message was inserted.

  Parameters:
    `timeField` - the column name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getTimestampColumn

    public final java.lang.String getTimestampColumn()

  Returns:
    the timestamp column name used by this EPR.

### setDataField

    public final void setDataField(java.lang.String dataField)
                            throws java.net.URISyntaxException

  Set the field that is used by this EPR to store message data.

  Parameters:
    `dataField` - the column name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getDataField

    public final java.lang.String getDataField()

  Returns:
    the data column name used by this EPR.

### isDeleteListener

    public boolean isDeleteListener()

### setDeleteListener

    public void setDeleteListener(boolean deleteListener)

### isLoadListener

    public boolean isLoadListener()

### setLoadListener

    public void setLoadListener(boolean loadListener)

### isSaveListener

    public boolean isSaveListener()

### setSaveListener

    public void setSaveListener(boolean saveListener)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EPR`

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `EPR`

### changeClassName

    protected final void changeClassName(java.lang.String className)
                                  throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### type

    public static final java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD